from dataclasses import dataclass
from typing import List


@dataclass(frozen=True)
class Threat:
    label: str
    sample: str
    binary_file: str
    address: int


@dataclass(frozen=True)
class SignatureInspectionResult:
    address: int
    size: int
    threats: List[Threat]
